Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Browse files

Release 3.1.3

  • Loading branch information...
commit 95ecf7455fb89492273bd8e8025aa62142faf6e9 1 parent b280f0c
TJ Holowaychuk authored
2  .re/last_version
View
@@ -1 +1 @@
-3.1.1
+3.1.2
11 History.rdoc
View
@@ -1,4 +1,15 @@
+=== 3.1.3 / 2009-03-20
+
+* Added #remove_global_options
+* Added core global option descriptions
+* Added display of global options
+* Removed small core switches (-v, -h) because they are implicitly set
+* Fixed issue with option switchs failing when named as common methods like --send, or --password
+* Fixed bug causing InvalidOption error when global options do not abort the process.
+ This was due to these options remaining in the arguments array, in turn being parsed
+ by the sub-command's option parser, issuing the error. This is fixed by #remove_global_options.
+
=== 3.1.2 / 2009-03-16
* Added support for global options via #global_option
16 commander.gemspec
View
@@ -2,19 +2,19 @@
Gem::Specification.new do |s|
s.name = %q{commander}
- s.version = "3.1.2"
+ s.version = "3.1.3"
s.required_rubygems_version = Gem::Requirement.new(">= 1.2") if s.respond_to? :required_rubygems_version=
s.authors = ["TJ Holowaychuk"]
- s.date = %q{2009-03-16}
+ s.date = %q{2009-03-20}
s.default_executable = %q{commander}
s.description = %q{The complete solution for Ruby command-line executables}
s.email = %q{tj@vision-media.ca}
s.executables = ["commander"]
- s.extra_rdoc_files = ["bin/commander", "lib/commander/command.rb", "lib/commander/core_ext/array.rb", "lib/commander/core_ext/object.rb", "lib/commander/core_ext/string.rb", "lib/commander/core_ext.rb", "lib/commander/help_formatters/base.rb", "lib/commander/help_formatters/terminal/command_help.erb", "lib/commander/help_formatters/terminal/help.erb", "lib/commander/help_formatters/terminal.rb", "lib/commander/help_formatters.rb", "lib/commander/runner.rb", "lib/commander/user_interaction.rb", "lib/commander/version.rb", "lib/commander.rb", "README.rdoc", "tasks/docs.rake", "tasks/gemspec.rake", "tasks/spec.rake"]
- s.files = ["bin/commander", "commander.gemspec", "History.rdoc", "lib/commander/command.rb", "lib/commander/core_ext/array.rb", "lib/commander/core_ext/object.rb", "lib/commander/core_ext/string.rb", "lib/commander/core_ext.rb", "lib/commander/help_formatters/base.rb", "lib/commander/help_formatters/terminal/command_help.erb", "lib/commander/help_formatters/terminal/help.erb", "lib/commander/help_formatters/terminal.rb", "lib/commander/help_formatters.rb", "lib/commander/runner.rb", "lib/commander/user_interaction.rb", "lib/commander/version.rb", "lib/commander.rb", "Manifest", "Rakefile", "README.rdoc", "spec/command_spec.rb", "spec/core_ext/array_spec.rb", "spec/core_ext/object_spec.rb", "spec/core_ext/string_spec.rb", "spec/help_formatters/base_spec.rb", "spec/help_formatters/terminal_spec.rb", "spec/runner_spec.rb", "spec/spec_helper.rb", "tasks/docs.rake", "tasks/gemspec.rake", "tasks/spec.rake", "test/foo", "test/pbar", "test/ui", "Todo.rdoc"]
+ s.extra_rdoc_files = ["bin/commander", "lib/commander/blank.rb", "lib/commander/command.rb", "lib/commander/core_ext/array.rb", "lib/commander/core_ext/object.rb", "lib/commander/core_ext/string.rb", "lib/commander/core_ext.rb", "lib/commander/help_formatters/base.rb", "lib/commander/help_formatters/terminal/command_help.erb", "lib/commander/help_formatters/terminal/help.erb", "lib/commander/help_formatters/terminal.rb", "lib/commander/help_formatters.rb", "lib/commander/runner.rb", "lib/commander/user_interaction.rb", "lib/commander/version.rb", "lib/commander.rb", "README.rdoc", "tasks/docs.rake", "tasks/gemspec.rake", "tasks/spec.rake"]
+ s.files = ["bin/commander", "commander.gemspec", "History.rdoc", "lib/commander/blank.rb", "lib/commander/command.rb", "lib/commander/core_ext/array.rb", "lib/commander/core_ext/object.rb", "lib/commander/core_ext/string.rb", "lib/commander/core_ext.rb", "lib/commander/help_formatters/base.rb", "lib/commander/help_formatters/terminal/command_help.erb", "lib/commander/help_formatters/terminal/help.erb", "lib/commander/help_formatters/terminal.rb", "lib/commander/help_formatters.rb", "lib/commander/runner.rb", "lib/commander/user_interaction.rb", "lib/commander/version.rb", "lib/commander.rb", "Manifest", "Rakefile", "README.rdoc", "spec/command_spec.rb", "spec/core_ext/array_spec.rb", "spec/core_ext/object_spec.rb", "spec/core_ext/string_spec.rb", "spec/help_formatters/base_spec.rb", "spec/help_formatters/terminal_spec.rb", "spec/runner_spec.rb", "spec/spec_helper.rb", "tasks/docs.rake", "tasks/gemspec.rake", "tasks/spec.rake", "test/foo", "test/pbar", "test/ui", "Todo.rdoc"]
s.has_rdoc = true
- s.homepage = %q{http://github.com/visionmedia/commander}
+ s.homepage = %q{http://visionmedia.github.com/commander}
s.rdoc_options = ["--line-numbers", "--inline-source", "--title", "Commander", "--main", "README.rdoc"]
s.require_paths = ["lib"]
s.rubyforge_project = %q{commander}
@@ -26,11 +26,11 @@ Gem::Specification.new do |s|
s.specification_version = 2
if Gem::Version.new(Gem::RubyGemsVersion) >= Gem::Version.new('1.2.0') then
- s.add_runtime_dependency(%q<highline>, [">= 1.5.0"])
+ s.add_runtime_dependency(%q<highline >=1.5.0>, [">= 0"])
else
- s.add_dependency(%q<highline>, [">= 1.5.0"])
+ s.add_dependency(%q<highline >=1.5.0>, [">= 0"])
end
else
- s.add_dependency(%q<highline>, [">= 1.5.0"])
+ s.add_dependency(%q<highline >=1.5.0>, [">= 0"])
end
end
2  lib/commander/version.rb
View
@@ -1,4 +1,4 @@
module Commander
- VERSION = '3.1.2'
+ VERSION = '3.1.3'
end
Please sign in to comment.
Something went wrong with that request. Please try again.